Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockMultipartActionRequest

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletRequest
          org.springframework.mock.web.portlet.MockActionRequest
              org.springframework.mock.web.portlet.MockMultipartActionRequest

All Implemented Interfaces:
  ActionRequest, PortletRequest, MultipartActionRequest

    public class MockMultipartActionRequest

extends MockActionRequest
implements MultipartActionRequest

Mock implementation of the `MultipartActionRequest` interface.

Useful for testing application controllers that access multipart uploads. The `MockMultipartFile` can be used to populate these mock requests with files.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `MockMultipartFile`

Field Summary

Fields inherited from interface javax.portlet.PortletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH, USER_INFO`

Constructor Summary
`MockMultipartActionRequest()`

Method Summary
`void` | `addFile(MultipartFile file)` Add a file to this request.
`MultipartFile` | `getFile(String name)` Return the contents plus description of an uploaded file in this request, or `null` if it does not exist.
`Map` | `getFileMap()` Return a Map of the multipart files contained in this request.
`Iterator` | `getFileNames()` Return an Iterator of String objects containing the parameter names of the multipart files contained in this request.

Methods inherited from class org.springframework.mock.web.portlet.MockActionRequest
`getCharacterEncoding, getContentLength, getContentType, getPortletInputStream, getReader, setCharacterEncoding, setContent, setContentType`

Methods inherited from class org.springframework.mock.web.portlet.MockPortletRequest
`addLocale, addParameter, addParameter, addPreferredLocale, addPreferredResponseContentType, addProperty, addResponseContentType, addUserRole, checkActive, close, getAttribute, getAttributeNames, getAuthType, getContextPath, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getProperties, getProperty, getPropertyNames, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowState, isActive, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute, setAuthType, setContextPath, setParameter, setParameter, setParameters, setPortletMode, setPreferences, setProperty, setRemoteUser, setRequestedSessionIdValid, setScheme, setSecure, setServerName, setServerPort, setSession, setUserPrincipal, setWindowState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.ActionRequest
`getCharacterEncoding, getContentLength, getContentType, getPortletInputStream, getReader, setCharacterEncoding`

Methods inherited from interface javax.portlet.PortletRequest
`getAttribute, getAttributeNames, getAuthType, getContextPath, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getProperties, getProperty, getPropertyNames, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

Constructor Detail

### MockMultipartActionRequest

    public MockMultipartActionRequest()

Method Detail

### addFile

    public void addFile(MultipartFile file)

  Add a file to this request. The parameter name from the multipart form is taken from the `MultipartFile.getName()`.

  Parameters:
    `file` - multipart file to be added

### getFileNames

    public Iterator getFileNames()

  Description copied from interface: `MultipartActionRequest`
  Return an Iterator of String objects containing the parameter names of the multipart files contained in this request. These are the field names of the form (like with normal parameters), not the original file names.

  Specified by:
    `getFileNames` in interface `MultipartActionRequest`
  Returns:
    the names of the files

### getFile

    public MultipartFile getFile(String name)

  Description copied from interface: `MultipartActionRequest`
  Return the contents plus description of an uploaded file in this request, or `null` if it does not exist.

  Specified by:
    `getFile` in interface `MultipartActionRequest`
  Parameters:
    `name` - a String specifying the parameter name of the multipart file
  Returns:
    the uploaded content in the form of a MultipartFile object

### getFileMap

    public Map getFileMap()

  Description copied from interface: `MultipartActionRequest`
  Return a Map of the multipart files contained in this request.

  Specified by:
    `getFileMap` in interface `MultipartActionRequest`
  Returns:
    a map containing the parameter names as keys, and the MultipartFile objects as values
  See Also:
    `MultipartFile`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.